跳转到主要内容
告警与响应相关接口/告警规则
POSTAlerting起始版本 1.0同步需要认证

创建告警抑制规则

创建新抑制规则关联抑制中告警。

调试可用性

在线调试

使用当前认证信息和示例参数提交 Mock 请求。

请求参数

请求体字段

  • nameString必填

    资源名称。

    示例: Suppress disk alerts when host down

  • descriptionString必填

    资源的详细描述。

    示例: Suppress disk alerts when host is unreachable

  • sourceMatchString必填

    源告警匹配器表达式。

    示例: alertname=HostDown

  • targetMatchString必填

    目标告警匹配器表达式。

    示例: alertname=DiskFull

  • equalLabelsString必填

    等于标签。

    示例: host,cluster

响应状态

200 OK

该 API 成功时返回以下响应结构。

  • uuidString

    资源的UUID,唯一标识该资源。

    示例: inhib-001

  • nameString

    资源名称。

    示例: Suppress disk alerts when host down

  • descriptionString

    资源的详细描述。

    示例: Suppress disk alerts when host is unreachable

  • sourceMatchString

    源告警匹配器表达式。

    示例: alertname=HostDown

  • targetMatchString

    目标告警匹配器表达式抑制。

    示例: alertname=DiskFull

  • equalLabelsString

    等于标签。

    示例: host,cluster

  • enabledBoolean

    是否启用。

    示例: true

  • createDateString

    创建时间。

    示例: 2026-01-15T08:00:00Z

  • lastOpDateString

    最近一次操作时间。

    示例: 2026-01-15T08:00:00Z

请求地址

POST/api/v1/alerting/inhibition-rules

/api/v1/alerting/inhibition-rules

操作 ID

CreateAlertInhibitionRule

永久链接

请求示例

curl -X POST '{host}/api/v1/alerting/inhibition-rules' -H 'Authorization: Bearer {token}' -H 'Content-Type: application/json' -d '{"name":"Suppress disk alerts when host down","description":"Suppress disk alerts when host is unreachable","sourceMatch":"alertname=HostDown","targetMatch":"alertname=DiskFull","equalLabels":"host,cluster"}'

响应示例

200
{
  "uuid": "inhib-001",
  "name": "Suppress disk alerts when host down",
  "description": "Suppress disk alerts when host is unreachable",
  "sourceMatch": "alertname=HostDown",
  "targetMatch": "alertname=DiskFull",
  "equalLabels": "host,cluster",
  "enabled": true,
  "createDate": "example"
}

变更历史

此 API 暂无变更历史记录。

查看全部变更历史